#ifndef _SYSTEMCONFIGURATION_STRONGFIREWALLSPVS_PVS_
#define _SYSTEMCONFIGURATION_STRONGFIREWALLSPVS_PVS_
#include <math.h>
#include "Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/SystemConfiguration_StrongFirewalls/SystemConfiguration_StrongFirewallsADVISE.h"
#include "Performance_Variables/InstantOfTime.hpp"


class SystemConfiguration_StrongFirewallsPVsPV0Worker:public InstantOfTime
{
 public:
  SystemConfiguration_StrongFirewallsADVISE *SystemConfiguration_StrongFirewalls;
  
  SystemConfiguration_StrongFirewallsPVsPV0Worker();
  ~SystemConfiguration_StrongFirewallsPVsPV0Worker();
  double Reward_Function();
};

class SystemConfiguration_StrongFirewallsPVsPV0:public PerformanceVariableNode
{
 public:
  SystemConfiguration_StrongFirewallsADVISE *TheSystemConfiguration_StrongFirewallsADVISE;

  SystemConfiguration_StrongFirewallsPVsPV0Worker *SystemConfiguration_StrongFirewallsPVsPV0WorkerList;

  SystemConfiguration_StrongFirewallsPVsPV0(int timeindex=0);
  ~SystemConfiguration_StrongFirewallsPVsPV0();
  void CreateWorkerList(void);
};

#endif
