#include "SystemConfiguration_WeakFirewallsPVsPVNodes.h"

SystemConfiguration_WeakFirewallsPVsPV0Worker::SystemConfiguration_WeakFirewallsPVsPV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&SystemConfiguration_WeakFirewalls);
}

SystemConfiguration_WeakFirewallsPVsPV0Worker::~SystemConfiguration_WeakFirewallsPVsPV0Worker() {
  delete [] TheModelPtr;
}

double SystemConfiguration_WeakFirewallsPVsPV0Worker::Reward_Function(void) {

return SystemConfiguration_WeakFirewalls->Goal_GainNetworkAccessOnScadaNetwork->Mark();

return (0);



}

SystemConfiguration_WeakFirewallsPVsPV0::SystemConfiguration_WeakFirewallsPVsPV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&TheSystemConfiguration_WeakFirewallsADVISE);
  double startpts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  double stoppts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  Initialize("GoalAchieved",(RewardType)0,13, startpts, stoppts, timeindex, 0,1, 1);
  AddVariableDependency("Goal_GainNetworkAccessOnScadaNetwork","SystemConfiguration_WeakFirewalls");
}

SystemConfiguration_WeakFirewallsPVsPV0::~SystemConfiguration_WeakFirewallsPVsPV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void SystemConfiguration_WeakFirewallsPVsPV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new SystemConfiguration_WeakFirewallsPVsPV0Worker;
}
