#ifndef _SYSTEMCONFIGURATION_WEAKFIREWALLSPVS_PVS_
#define _SYSTEMCONFIGURATION_WEAKFIREWALLSPVS_PVS_
#include <math.h>
#include "Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/SystemConfiguration_WeakFirewalls/SystemConfiguration_WeakFirewallsADVISE.h"
#include "Performance_Variables/InstantOfTime.hpp"


class SystemConfiguration_WeakFirewallsPVsPV0Worker:public InstantOfTime
{
 public:
  SystemConfiguration_WeakFirewallsADVISE *SystemConfiguration_WeakFirewalls;
  
  SystemConfiguration_WeakFirewallsPVsPV0Worker();
  ~SystemConfiguration_WeakFirewallsPVsPV0Worker();
  double Reward_Function();
};

class SystemConfiguration_WeakFirewallsPVsPV0:public PerformanceVariableNode
{
 public:
  SystemConfiguration_WeakFirewallsADVISE *TheSystemConfiguration_WeakFirewallsADVISE;

  SystemConfiguration_WeakFirewallsPVsPV0Worker *SystemConfiguration_WeakFirewallsPVsPV0WorkerList;

  SystemConfiguration_WeakFirewallsPVsPV0(int timeindex=0);
  ~SystemConfiguration_WeakFirewallsPVsPV0();
  void CreateWorkerList(void);
};

#endif
