#include "SystemConfiguration_StrongFirewallsPVsPVNodes.h"

SystemConfiguration_StrongFirewallsPVsPV0Worker::SystemConfiguration_StrongFirewallsPVsPV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&SystemConfiguration_StrongFirewalls);
}

SystemConfiguration_StrongFirewallsPVsPV0Worker::~SystemConfiguration_StrongFirewallsPVsPV0Worker() {
  delete [] TheModelPtr;
}

double SystemConfiguration_StrongFirewallsPVsPV0Worker::Reward_Function(void) {

return SystemConfiguration_StrongFirewalls->Goal_GainNetworkAccessOnScadaNetwork->Mark();

return (0);



}

SystemConfiguration_StrongFirewallsPVsPV0::SystemConfiguration_StrongFirewallsPVsPV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&TheSystemConfiguration_StrongFirewallsADVISE);
  double startpts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  double stoppts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  Initialize("GoalAchieved",(RewardType)0,13, startpts, stoppts, timeindex, 0,1, 1);
  AddVariableDependency("Goal_GainNetworkAccessOnScadaNetwork","SystemConfiguration_StrongFirewalls");
}

SystemConfiguration_StrongFirewallsPVsPV0::~SystemConfiguration_StrongFirewallsPVsPV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void SystemConfiguration_StrongFirewallsPVsPV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new SystemConfiguration_StrongFirewallsPVsPV0Worker;
}
